<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_RWops Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_RWops Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_s_d_l__rwops_8h_source.html">SDL_rwops.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a45f66dbb683a88281d96f83ca18c525f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___r_wops.html#a45f66dbb683a88281d96f83ca18c525f">Sint64</a> (SDLCALL *size)(struct <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *context)</td></tr>
<tr class="separator:a45f66dbb683a88281d96f83ca18c525f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a767114391a3d1b4a7c214da3e164acf5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___r_wops.html#a767114391a3d1b4a7c214da3e164acf5">Sint64</a> (SDLCALL *seek)(struct <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *context</td></tr>
<tr class="separator:a767114391a3d1b4a7c214da3e164acf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9a3c6e840d285c1e30cadaf99097b2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a> (SDLCALL *read)(struct <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *context</td></tr>
<tr class="separator:acd9a3c6e840d285c1e30cadaf99097b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f12fd517afffba5bfaff4643d6792b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___r_wops.html#a5f12fd517afffba5bfaff4643d6792b1">size_t</a> (SDLCALL *write)(struct <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *context</td></tr>
<tr class="separator:a5f12fd517afffba5bfaff4643d6792b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab303bcbb0f6742a141ba8b2998923f47"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___r_wops.html#ab303bcbb0f6742a141ba8b2998923f47">int</a> (SDLCALL *close)(struct <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> *context)</td></tr>
<tr class="separator:ab303bcbb0f6742a141ba8b2998923f47"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab1ee9d9e4f61b3b30f26160c282ae416"><td class="memItemLeft" align="right" valign="top"><a id="ab1ee9d9e4f61b3b30f26160c282ae416"></a>
<a class="el" href="struct_s_d_l___r_wops.html#a45f66dbb683a88281d96f83ca18c525f">Sint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>offset</b></td></tr>
<tr class="separator:ab1ee9d9e4f61b3b30f26160c282ae416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95b96dcc6690897bfaf2d059f4378ed2"><td class="memItemLeft" align="right" valign="top"><a id="a95b96dcc6690897bfaf2d059f4378ed2"></a>
<a class="el" href="struct_s_d_l___r_wops.html#a45f66dbb683a88281d96f83ca18c525f">Sint64</a> <a class="el" href="struct_s_d_l___r_wops.html#ab303bcbb0f6742a141ba8b2998923f47">int</a>&#160;</td><td class="memItemRight" valign="bottom"><b>whence</b></td></tr>
<tr class="separator:a95b96dcc6690897bfaf2d059f4378ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f68b93789331775de802d51a2934f0a"><td class="memItemLeft" align="right" valign="top"><a id="a3f68b93789331775de802d51a2934f0a"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><b>ptr</b></td></tr>
<tr class="separator:a3f68b93789331775de802d51a2934f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab078bcf43a916d469ff550c60ab4b3f2"><td class="memItemLeft" align="right" valign="top"><a id="ab078bcf43a916d469ff550c60ab4b3f2"></a>
void <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>size</b></td></tr>
<tr class="separator:ab078bcf43a916d469ff550c60ab4b3f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7786282ec28451085908f70048ee32c8"><td class="memItemLeft" align="right" valign="top"><a id="a7786282ec28451085908f70048ee32c8"></a>
void <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a> <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>maxnum</b></td></tr>
<tr class="separator:a7786282ec28451085908f70048ee32c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51baff579726790887a4ca41ce14873c"><td class="memItemLeft" align="right" valign="top"><a id="a51baff579726790887a4ca41ce14873c"></a>
const void *&#160;</td><td class="memItemRight" valign="bottom"><b>ptr</b></td></tr>
<tr class="separator:a51baff579726790887a4ca41ce14873c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74d37eb068407bd5cdbdb845e4c4663a"><td class="memItemLeft" align="right" valign="top"><a id="a74d37eb068407bd5cdbdb845e4c4663a"></a>
const void <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>size</b></td></tr>
<tr class="separator:a74d37eb068407bd5cdbdb845e4c4663a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a630921d5c84cf48a4a10f9a75e1caa10"><td class="memItemLeft" align="right" valign="top"><a id="a630921d5c84cf48a4a10f9a75e1caa10"></a>
const void <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a> <a class="el" href="struct_s_d_l___r_wops.html#acd9a3c6e840d285c1e30cadaf99097b2">size_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>num</b></td></tr>
<tr class="separator:a630921d5c84cf48a4a10f9a75e1caa10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099017bfceaac24ced0e4d08a4e0a023"><td class="memItemLeft" align="right" valign="top"><a id="a099017bfceaac24ced0e4d08a4e0a023"></a>
Uint32&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a099017bfceaac24ced0e4d08a4e0a023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac39b920843b21701aa755f10cc1faad2"><td class="memItemLeft" ><a id="ac39b920843b21701aa755f10cc1faad2"></a>
union {</td></tr>
<tr class="memitem:a93b37525b18d36c6e055436f2983e9e2"><td class="memItemLeft" >
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:a9c1795605532b77b1b1c70fd9a853ae4"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;Uint8 *&#160;&#160;&#160;<b>base</b></td></tr>
<tr class="separator:a9c1795605532b77b1b1c70fd9a853ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae82cd11e8dc618cf09c7e41df2873404"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;Uint8 *&#160;&#160;&#160;<b>here</b></td></tr>
<tr class="separator:ae82cd11e8dc618cf09c7e41df2873404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c10c83e73ea7311fcd51a8ab820b3a"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;Uint8 *&#160;&#160;&#160;<b>stop</b></td></tr>
<tr class="separator:a21c10c83e73ea7311fcd51a8ab820b3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b37525b18d36c6e055436f2983e9e2"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<b>mem</b></td></tr>
<tr class="separator:a93b37525b18d36c6e055436f2983e9e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5294c35f7dd5782b1f5b9cc59b2c9f4c"><td class="memItemLeft" >
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:a672f36f54fc7181f5f0defb8daf2fa87"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;void *&#160;&#160;&#160;<b>data1</b></td></tr>
<tr class="separator:a672f36f54fc7181f5f0defb8daf2fa87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cca80b790e2685fbcdf343d0ab96f3f"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;void *&#160;&#160;&#160;<b>data2</b></td></tr>
<tr class="separator:a7cca80b790e2685fbcdf343d0ab96f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5294c35f7dd5782b1f5b9cc59b2c9f4c"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<b>unknown</b></td></tr>
<tr class="separator:a5294c35f7dd5782b1f5b9cc59b2c9f4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac39b920843b21701aa755f10cc1faad2"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><b>hidden</b></td></tr>
<tr class="separator:ac39b920843b21701aa755f10cc1faad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the read/write operation structure &ndash; very basic. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab303bcbb0f6742a141ba8b2998923f47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab303bcbb0f6742a141ba8b2998923f47">&#9670;&nbsp;</a></span>int()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_RWops::int </td>
          <td>(</td>
          <td class="paramtype">SDLCALL *&#160;</td>
          <td class="paramname"><em>close</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Close and free an allocated <a class="el" href="struct_s_d_l___r_wops.html">SDL_RWops</a> structure.</p>
<dl class="section return"><dt>Returns</dt><dd>0 if successful or -1 on write error when flushing data. </dd></dl>

</div>
</div>
<a id="a767114391a3d1b4a7c214da3e164acf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a767114391a3d1b4a7c214da3e164acf5">&#9670;&nbsp;</a></span>Sint64() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_RWops::Sint64 </td>
          <td>(</td>
          <td class="paramtype">SDLCALL *&#160;</td>
          <td class="paramname"><em>seek</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Seek to <code>offset</code> relative to <code>whence</code>, one of stdio's whence values: RW_SEEK_SET, RW_SEEK_CUR, RW_SEEK_END</p>
<dl class="section return"><dt>Returns</dt><dd>the final offset in the data stream, or -1 on error. </dd></dl>

</div>
</div>
<a id="a45f66dbb683a88281d96f83ca18c525f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f66dbb683a88281d96f83ca18c525f">&#9670;&nbsp;</a></span>Sint64() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_RWops::Sint64 </td>
          <td>(</td>
          <td class="paramtype">SDLCALL *&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return the size of the file in this rwops, or -1 if unknown </p>

</div>
</div>
<a id="acd9a3c6e840d285c1e30cadaf99097b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd9a3c6e840d285c1e30cadaf99097b2">&#9670;&nbsp;</a></span>size_t() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_RWops::size_t </td>
          <td>(</td>
          <td class="paramtype">SDLCALL *&#160;</td>
          <td class="paramname"><em>read</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read up to <code>maxnum</code> objects each of size <code>size</code> from the data stream to the area pointed at by <code>ptr</code>.</p>
<dl class="section return"><dt>Returns</dt><dd>the number of objects read, or 0 at error or end of file. </dd></dl>

</div>
</div>
<a id="a5f12fd517afffba5bfaff4643d6792b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f12fd517afffba5bfaff4643d6792b1">&#9670;&nbsp;</a></span>size_t() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_RWops::size_t </td>
          <td>(</td>
          <td class="paramtype">SDLCALL *&#160;</td>
          <td class="paramname"><em>write</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Write exactly <code>num</code> objects each of size <code>size</code> from the area pointed at by <code>ptr</code> to data stream.</p>
<dl class="section return"><dt>Returns</dt><dd>the number of objects written, or 0 at error or end of file. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__rwops_8h_source.html">SDL_rwops.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
